services:
  Nordmind\Security\Application\:
    autowire: true
    resource: '../../src/nordmind-security/src/Application/*'

  Nordmind\Security\Infrastructure\:
    autowire: true
    resource: '../../src/nordmind-security/src/Infrastructure/*'

  _instanceof:
    Nordmind\SystemFoundation\Application\CommandBus\HandlerInterface:
      tags:
        - { name: tactician.handler, typehints: true }

  Nordmind\Security\Application\User\Accounts:
    alias: Nordmind\Security\Infrastructure\User\DoctrineAccounts

  Nordmind\Security\Application\User\Registration:
    autowire: true
    arguments:
      $senderEmail: '%env(MAILER_DEFAULT_SENDER_EMAIL)%'
      $senderName: '%env(MAILER_DEFAULT_SENDER_NAME)%'
      $hostUrl: '%env(MAILER_HOST_URL)%'

  Nordmind\Security\Application\Security\Command\PasswordRemindHandler:
    autowire: true
    arguments:
      $senderEmail: '%env(MAILER_DEFAULT_SENDER_EMAIL)%'
      $senderName: '%env(MAILER_DEFAULT_SENDER_NAME)%'
      $hostUrl: '%env(MAILER_HOST_URL)%'